import { DispatcherManager, StageState } from "../GameUtils/EventManager";

export class GameManager{
    private static ins:GameManager;
    constructor(){
        GameManager.ins = this;
    }
    public static get Instance():GameManager{
        if(GameManager.ins == null){
            return new GameManager();
        }
        return GameManager.ins;
    }
    
}